## Apache Zeta Components Manual :: Docs For Class ezcCacheInvalidKeyException

### Cache::ezcCacheInvalidKeyException

### Class ezcCacheInvalidKeyException

Exception thrown if a certain cache key could not be processed by a backend.

The keys used in memory backends (like ezcCacheMemcacheBackend) underly certain validation rules. If one of these rules does not match a key, this exception is thrown.

Source for this file: /Cache/src/exceptions/invalid_key.php

    Exception
       |
       --ezcBaseException
          |
          --ezcCacheException
             |
             --ezcCacheInvalidKeyException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcCacheInvalidKeyException | `__construct( $key , [ $reason = null] )` Creates a new invalid key exception.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcCacheInvalidKeyException __construct( string $key , [string $reason = null] )

Creates a new invalid key exception.

Indicates that $key is not a valid cache key for a certain storage. $reason specifies what is invalid about the key.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string |
`$reason` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3